<div class="col-lg-8 no-padding">
  <agm-map [latitude]="lat" [longitude]="lng" [zoom]="2">
    <agm-marker *ngFor="let marker of markers" [latitude]="marker.latitude" [longitude]="marker.longitude" [iconUrl]="marker.icon">
      <agm-info-window [disableAutoPan]="true">
        <strong>assetId</strong> : {{marker.assetID}}
        <strong>gw_SNO</strong> : {{marker.gw_SNO}}
      </agm-info-window>
    </agm-marker>
  </agm-map>
</div>
<div class="col-lg-4 pre-scrollable">
  <table class="table" style="overflow:auto;background:white;">
    <thead>
      <tr>
        <th>Time stamp</th>
        <th>Asset ID</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let availableMarker of availableMarkers" [ngClass]="{'alert-danger': availableMarker?.type == 'alarm'}">
        <td>{{availableMarker?.timestamp}}</td>
        <td *ngIf="availableMarker">
          <span *ngIf="availableMarker.type == 'alarm'">{{availableMarker.status}}</span>
          <span *ngIf="availableMarker.type == 'realtime'">{{availableMarker.latitude}},  {{availableMarker.longitude}}</span>
          </td>
      </tr>
    </tbody>
  </table>
</div>
